#INCLUDE "PROTHEUS.CH"      
#INCLUDE "TOPCONN.CH" 
//#DEFINE MAXLINHA 065                            //Nmero mximo de linhas por pgina     

/*/
//|---------------------------------------------------------------------------------------------------------------------|
//| Funes Utilizadas no Fonte RGPER01                                                                                 |
//|---------------------------------------------------------------------------------------------------------------------|
//|                                                                                                                     |
//| RUNREPORT: Funcao auxiliar chamada pela RPTSTATUS. A funcao RPTSTATUS monta a janela com a regua de processamento.  |
//| RetSRX: Retorno do SRX                                                                                              |
//| ValidPerg: Gerador das perguntas dentro do SX1                                                                      |
//| VerTFGTS: Retorna a base de calculo de FGTS                                                                         |
//| VerTINSS: Retorna a base de calculo de INSS                                                                         |
//| DedFpas: Dedues do FPAS                                                                                           |
//| IRRFid: Total de Imposto de renda Sobre Ferias e pagamentos                                                         |
//| IRRFpro: Total de Imposto de renda Sobre pro-labore                                                                 |
//| SEGURA: Total de Segurados                                                                                          |
//| VlrAux: Informacoes auxiliares                                                                                      |
//| Empresa: Busca do valor de INSS Empresa                                                                             |
//| Terceiro: Busca do valor de INSS de terceiro                                                                        |
//| AcTrab: Busca do valor de Acidente de Trabalho                                                                      |
//|                                                                                                                     |
//|---------------------------------------------------------------------------------------------------------------------|
/*/

/*/
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//|--------------------------------------------------------------------------------------------|
//|   Programa: RGPER01 | Autor: Anderson Goncalves | Data: 22/04/14 | Consultoria: Oficina1   |
//|--------------------------------------------------------------------------------------------|
//|   Descricao: Folha de Pagamento Resumida                                                   |
//|--------------------------------------------------------------------------------------------|
//|   Uso: NeoIntelligence                                                                     |
//|--------------------------------------------------------------------------------------------| 
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
/*/

User Function RGPER01()

//|------------------------------------------------------------------------------------------|
// Variaveis da Rotina                                                 
//|------------------------------------------------------------------------------------------|

Local cDesc1         	:= "Este programa tem como objetivo imprimir relatorio "
Local cDesc2         	:= "de acordo com os parametros informados pelo usuario."
Local cDesc3         	:= ""
Local cPict          	:= ""
Local titulo       		:= "RESUMO DE FOLHA DE PAGAMENTO"
Local nLin         		:= 80      
Local cTable			:= "SRA"

Local cPerg				:= "RGPER01" 
Local aRegs				:= {}

Local Cabec1       		:= "RESUMO DE FOLHA DE PAGAMENTO - Competencia: "+mv_par01+" - Emissao: "+TransForm(dDataBase,"@D")
Local Cabec2       		:= ""
Local imprime      		:= .T.
Local aOrd 				:= {}
Private lEnd         	:= .F.
Private lAbortPrint  	:= .F.
Private limite          := 132
Private tamanho         := "M"
Private nomeprog        := "RGPER01" // Coloque aqui o nome do programa para impressao no cabecalho
Private nTipo           := 18
Private aReturn         := { "Zebrado", 1, "Administracao", 2, 2, 1, "", 1}
Private nLastKey        := 0
Private cPerg       	:= "RGPER01"
Private cbtxt      		:= Space(10)
Private cbcont     		:= 00
Private CONTFL     		:= 01
Private m_pag      		:= 01
Private wnrel      		:= "RGPER01" // Coloque aqui o nome do arquivo usado para impressao em disco    

Private lSRC			:= .F.

//-----------------------------------------------------------------------
// Definicao das perguntas                                             
//-----------------------------------------------------------------------

aAdd(aRegs,{cPerg,"01",	"Competencia" 		,"","","mv_ch1","C",07,0,0,"G","","mv_par01","","","","","","","","","","","","","","","","","","","","","","","","","","","","","99/9999" })
aAdd(aRegs,{cPerg,"02","Funcionario de"		,"","","mv_ch2","C",06,0,0,"G","","mv_par02","","","","","","","","","","","","","","","","","","","","","","","","","SRA"   ,"","","","" })
aAdd(aRegs,{cPerg,"03","Funcionario ate"	,"","","mv_ch3","C",06,0,0,"G","","mv_par03","","","","","","","","","","","","","","","","","","","","","","","","","SRA"   ,"","","","" })

//-----------------------------------------------------------------------
// Cria as perguntas no SX1 se nao existir                             
//-----------------------------------------------------------------------

ValidPerg(cPerg,aRegs)
If !(Pergunte(cPerg,.T.))
	Return Nil
EndIf

//-----------------------------------------------------------------------
// Monta a interface padrao com o usuario...                           
//----------------------------------------------------------------------- 

wnrel := SetPrint("SRV",NomeProg,cPerg,@titulo,cDesc1,cDesc2,cDesc3,.T.,aOrd,.T.,Tamanho,,.T.) 

If nLastKey == 27
	Return
Endif

SetDefault(aReturn,"SRV")

If nLastKey == 27
   Return
Endif

nTipo := If(aReturn[4]==1,15,18)

//-----------------------------------------------------------------------
// Processamento. RPTSTATUS monta janela com a regua de processamento. 
//-----------------------------------------------------------------------

Processa({|| RunReport(Cabec1,Cabec2,Titulo,nLin) },"RESUMO DE FOLHA DE PAGAMENTO")

Return Nil

/*/
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//|---------------------------------------------------------------------------|
//|   Funo: RUNREPORT | Autor: AP6 IDE | Data: 22/04/14                     |
//|---------------------------------------------------------------------------|
//|   Descrio: Funcao auxiliar chamada pela RPTSTATUS. A funcao RPTSTATUS   |
//|              monta a janela com a regua de processamento.                 |
//|---------------------------------------------------------------------------|
//|   Uso: Programa principal                                                 |
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
/*/

Static Function RunReport(Cabec1,Cabec2,Titulo,nLin)
           
//-----------------------------------------------------------------------
// Variaveis da Rotina                                                 
//-----------------------------------------------------------------------

Local lContinua		:= .T.
Local nTotReg		:= 0 
Local nTot1			:= 0  
Local nTot2			:= 0
Local nTot3			:= 0
Local nTot4			:= 0  

Local nDes1			:= 0  
Local nDes2			:= 0
Local nDes3			:= 0
Local nDes4			:= 0

Local aFunc			:= {}
Local aDemi			:= {}
Local aOutr			:= {}

Private aDadosProv	:= {}
Private aDadosDesc	:= {}

//-----------------------------------------------------------------------
// Defini se pega SRC "movimento" ou SRD "fechamento"                  
//-----------------------------------------------------------------------    

ProcRegua(1)

//-----------------------------------------------------------------------
// Verifica a tabela de movimentos                                     
//-----------------------------------------------------------------------  

cQuery := "SELECT RD_MAT MATR, RD_PD VERBA, RD_VALOR VALOR, RD_DATARQ REFERENCIA FROM "+RetSqlName("SRD") + " (NOLOCK) "	
cQuery += "WHERE RD_FILIAL = '" + xFilial("SRD") + "' "
cQuery += "AND RD_MAT BETWEEN '" + mv_par02 + "' AND '" + mv_par03 + "' " 
cQuery += "AND SUBSTRING(RD_DATARQ,1,6) = '" + SubStr(mv_par01,4,4)+SubStr(mv_par01,1,2) + "' " 
cQuery += "AND D_E_L_E_T_ = ' ' "

If Select("QUERY") > 0
	QUERY->(dbCloseArea())
EndIf

TcQuery cQuery New Alias "QUERY"  

aEval(SRD->(dbStruct()),{|x| If(x[2]!="C", TcSetField("QUERY",AllTrim(x[1]),x[2],x[3],x[4]),Nil)})
aEval(SRC->(dbStruct()),{|x| If(x[2]!="C", TcSetField("QUERY",AllTrim(x[1]),x[2],x[3],x[4]),Nil)})

dbSelectArea("QUERY") 
QUERY->(dbGoTop())
QUERY->(dbEval({ || nTotReg++},,{ ||!EOF()}))
QUERY->(dbGoTop()) 

If nTotReg == 0
	nTotReg := 0
	
	cQuery := "SELECT RC_MAT MATR, RC_PD VERBA, RC_VALOR VALOR, ' ' REFERENCIA FROM "+RetSqlName("SRC") + " (NOLOCK) "
	cQuery += "WHERE RC_FILIAL = '" + xFilial("SRC") + "' "
	cQuery += "AND RC_MAT BETWEEN '" + mv_par02 + "' AND '" + mv_par03 + "' " 
	cQuery += "AND D_E_L_E_T_ = ' ' "  
	
	If Select("QUERY") > 0
		QUERY->(dbCloseArea())
	EndIf

	TcQuery cQuery New Alias "QUERY"    
	
	aEval(SRD->(dbStruct()),{|x| If(x[2]!="C", TcSetField("QUERY",AllTrim(x[1]),x[2],x[3],x[4]),Nil)})
	aEval(SRC->(dbStruct()),{|x| If(x[2]!="C", TcSetField("QUERY",AllTrim(x[1]),x[2],x[3],x[4]),Nil)})  
	
	dbSelectArea("QUERY") 
	QUERY->(dbGoTop())
	QUERY->(dbEval({ || nTotReg++},,{ ||!EOF()}))
	QUERY->(dbGoTop()) 
	
	lSRC := .T.
	
EndIf

If nTotReg == 0 
	If Select("QUERY") > 0
		QUERY->(dbCloseArea())
	EndIf
	MsgInfo("No existem informaes para a parametrizao informada!","Ateno")
	Return Nil
EndIf

//-----------------------------------------------------------------------
// Regua de processamento                                              
//-----------------------------------------------------------------------

ProcRegua(nTotReg) 

//-----------------------------------------------------------------------
// Tabelas do processo                                                 
//-----------------------------------------------------------------------

dbSelectArea("SRA")
SRA->(dbSetOrder(1))

dbSelectArea("SRV")
SRV->(dbSetOrder(1))

//-----------------------------------------------------------------------
// Processa query de movimentos                                        
//-----------------------------------------------------------------------  

While QUERY->(!EOF()) 

	IncProc("Verificando Resumo") 
	
	SRA->(dbSeek(xFilial("SRA")+QUERY->MATR ))
	SRV->(dbSeek(xFilial("SRV")+QUERY->VERBA )) 
	
	//-----------------------------------------------------------------------
	// Proventos                                                           
	//-----------------------------------------------------------------------
	
	If SRV->RV_TIPOCOD == "1"
		nPos := Ascan(aDadosProv,{|x| x[1] == QUERY->VERBA })
		If nPos > 0 
			If SRA->RA_SITFOLH == "D" .and. dtos(SRA->RA_DEMISSA,1,6) == SubStr(mv_par01,4,4)+SubStr(mv_par01,1,2)  
				aDadosProv[nPos,3] += QUERY->VALOR 
				If Ascan(aDemi,QUERY->MATR) == 0
					aAdd(aDemi,QUERY->MATR)
				EndIf
			Else 
				aDadosProv[nPos,2] += QUERY->VALOR
				If Ascan(aFunc,QUERY->MATR) == 0
					aAdd(aFunc,QUERY->MATR)
				EndIf
			EndIf 
		Else
			aAdd(aDadosProv,Array(3))
			aDadosProv[Len(aDadosProv),1] := QUERY->VERBA
			aDadosProv[Len(aDadosProv),2] := 0
			aDadosProv[Len(aDadosProv),3] := 0
			If SRA->RA_SITFOLH == "D" .and. dtos(SRA->RA_DEMISSA,1,6) == SubStr(mv_par01,4,4)+SubStr(mv_par01,1,2)  
				aDadosProv[Len(aDadosProv),3] += QUERY->VALOR
				If Ascan(aDemi,QUERY->MATR) == 0
					aAdd(aDemi,QUERY->MATR)
				EndIf
			Else
				aDadosProv[Len(aDadosProv),2] += QUERY->VALOR
				If Ascan(aFunc,QUERY->MATR) == 0
					aAdd(aFunc,QUERY->MATR)
				EndIf
			EndIf 
		EndIf 
	
	//-----------------------------------------------------------------------
	// Descontos                                                           
	//-----------------------------------------------------------------------
	
	ElseIf SRV->RV_TIPOCOD == "2"
		nPos := Ascan(aDadosDesc,{|x| x[1] == QUERY->VERBA })
		If nPos > 0 
			If SRA->RA_SITFOLH == "D" .and. dtos(SRA->RA_DEMISSA,1,6) == SubStr(mv_par01,4,4)+SubStr(mv_par01,1,2) 
				aDadosDesc[nPos,3] += QUERY->VALOR
				If Ascan(aDemi,QUERY->MATR) == 0
					aAdd(aDemi,QUERY->MATR)
				EndIf
			Else 
				aDadosDesc[nPos,2] += QUERY->VALOR
				If Ascan(aFunc,QUERY->MATR) == 0
					aAdd(aFunc,QUERY->MATR)
				EndIf
			EndIf 
		Else
			aAdd(aDadosDesc,Array(3))
			aDadosDesc[Len(aDadosDesc),1] := QUERY->VERBA
			aDadosDesc[Len(aDadosDesc),2] := 0
			aDadosDesc[Len(aDadosDesc),3] := 0
			If SRA->RA_SITFOLH == "D" .and. dtos(SRA->RA_DEMISSA,1,6) == SubStr(mv_par01,4,4)+SubStr(mv_par01,1,2) 
				aDadosDesc[Len(aDadosDesc),3] += QUERY->VALOR 
				If Ascan(aDemi,QUERY->MATR) == 0
					aAdd(aDemi,QUERY->MATR)
				EndIf
			Else  
				aDadosDesc[Len(aDadosDesc),2] += QUERY->VALOR 
				If Ascan(aFunc,QUERY->MATR) == 0
					aAdd(aFunc,QUERY->MATR)
				EndIf
			EndIf 
		EndIf
	
	EndIf

	QUERY->(dbSkip())
	
Enddo	

//-----------------------------------------------------------------------
// Ordena registros                                                    
//-----------------------------------------------------------------------  

aSort(aDadosProv,,,{|x,y| x[1] < y[1]} )  
aSort(aDadosDesc,,,{|x,y| x[1] < y[1]} )   

//-----------------------------------------------------------------------
// Inicia Impressao                                                    
//-----------------------------------------------------------------------

Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
nLin := 8  

@ nLin, 000 Psay Replicate("-",Limite)
nLin++
@ nLin, 000 Psay "Empresa: "+AllTrim(SM0->M0_NOME)
nLin++
@ nLin, 000 Psay "Filial: "+AllTrim(SM0->M0_FILIAL)
nLin++
@ nLin, 000 Psay Replicate("-",Limite)
nLin++

@ nLin,000 Psay PadC(">>>> RESUMO GERAL <<<<",Limite)
nLin++ 

// PROVENTOS / DESCONTO                                                   ATIVOS       DESLIGADOS           OUTROS            TOTAL
// 012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901
//          10         20        30        40        50        60        70       80        90        100       110       120       130
// XXX - XXXXXXXXXXXXXXXXXXXX                                      99.999.999,99    99.999.999,99    99.999.999,99    99.999.999,99 
//                                                                 ----------------------------------------------------------------

@ nLin,000 Psay "PROVENTOS / DESCONTO                                                   ATIVOS       DESLIGADOS                             TOTAL"
nLin++
@ nLin,000 Psay __PrtThinLine()
nLin++

//-----------------------------------------------------------------------
// Regua de processamento                                              
//-----------------------------------------------------------------------

ProcRegua(Len(aDadosProv)) 

//-----------------------------------------------------------------------
// Imprimindo Proventos                                                
//-----------------------------------------------------------------------

For nX := 1 To Len(aDadosProv) 

	IncProc("Imprimindo Proventos")    
	
	If nLin = 70 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
      	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
      	nLin := 8
   	Endif
	
	@ nLin,000 Psay aDadosProv[nX,1] +" "+Posicione("SRV",1,xFilial("SRV")+aDadosProv[nX,1],"RV_DESC") 
	@ nLin,064 Psay TransForm(aDadosProv[nX,2],"@E 99,999,999.99") 
	@ nLin,081 Psay TransForm(aDadosProv[nX,3],"@E 99,999,999.99") 
	@ nLin,115 Psay TransForm(aDadosProv[nX,2]+aDadosProv[nX,3],"@E 99,999,999.99") 
	nTot1 += aDadosProv[nX,2]  
	nTot2 += aDadosProv[nX,3] 
	nTot4 += aDadosProv[nX,2]+aDadosProv[nX,3]
	nLin++
	
Next nX 

@ nLin,000 Psay "                                                                ----------------------------------------------------------------"  
nLin++

@ nLin,020 Psay "TOTAL DE PROVENTOS >>>>>>"
@ nLin,064 Psay TransForm(nTot1,"@E 99,999,999.99") 
@ nLin,081 Psay TransForm(nTot2,"@E 99,999,999.99") 
@ nLin,115 Psay TransForm(nTot4,"@E 99,999,999.99") 
nLin+=2   

//If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
  // 	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	//nLin := 8
//Endif
   	
//@ nLin,020 Psay "TOTAL DE PROVENTOS >>>>>>"
//@ nLin,064 Psay TransForm(nTot1,"@E 99,999,999.99") 
//@ nLin,081 Psay TransForm(nTot2,"@E 99,999,999.99") 
//@ nLin,115 Psay TransForm(nTot4,"@E 99,999,999.99") 
//nLin+=2   

If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
   	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
Endif  

             

@ nLin,000 Psay "PROVENTOS / DESCONTO                                                   ATIVOS       DESLIGADOS                             TOTAL"
nLin++ 
@ nLin,000 Psay __PrtThinLine()
nLin++

//-----------------------------------------------------------------------
// Regua de processamento                                              
//-----------------------------------------------------------------------  

ProcRegua(Len(aDadosProv)) 

//-----------------------------------------------------------------------
// Imprimindo Proventos                                                
//-----------------------------------------------------------------------

For nX := 1 To Len(aDadosDesc) 

	IncProc("Imprimindo Descontos")  
	
   	If nLin > 60 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
    	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
   Endif
	
	@ nLin,000 Psay aDadosDesc[nX,1] +" - "+Posicione("SRV",1,xFilial("SRV")+aDadosDesc[nX,1],"RV_DESC") 
	@ nLin,064 Psay TransForm(aDadosDesc[nX,2],"@E 99,999,999.99") 
	@ nLin,081 Psay TransForm(aDadosDesc[nX,3],"@E 99,999,999.99") 
	@ nLin,115 Psay TransForm(aDadosDesc[nX,2]+aDadosDesc[nX,3],"@E 99,999,999.99") 
	nDes1 += aDadosDesc[nX,2]  
	nDes2 += aDadosDesc[nX,3] 
	nDes4 += aDadosDesc[nX,2]+aDadosDesc[nX,3]
	nLin++
	
Next nX 

@ nLin,000 Psay "                                                                ----------------------------------------------------------------"
nLin++

   If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
 	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
nLin := 8
Endif
   	
@ nLin,020 Psay "TOTAL DE DESCONTOS >>>>>>>>>>"
@ nLin,064 Psay TransForm(nDes1,"@E 99,999,999.99") 
@ nLin,081 Psay TransForm(nDes2,"@E 99,999,999.99") 
@ nLin,115 Psay TransForm(nDes4,"@E 99,999,999.99") 
nLin+=2   

If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
   	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
Endif   

@ nLin, 020 Psay "TOTAL LIQUIDO A PAGAR >>>>>>>"
@ nLin,064 Psay TransForm(nTot1-nDes1,"@E 99,999,999.99") 
@ nLin,081 Psay TransForm(nTot2-nDes2,"@E 99,999,999.99") 
@ nLin,115 Psay TransForm(nTot4-nDes4,"@E 99,999,999.99")
nLin++ 

If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
   	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
Endif  

nLin++
@ nLin,000 Psay __PrtThinLine()
nLin++

@ nLin,020 Psay "TOTAL DE FUNCIONARIOS >>>>>>>" 
@ nLin,064 Psay TransForm(Len(aFunc),"@E 999999.99") 
@ nLin,081 Psay TransForm(Len(aDemi),"@E 999999.99") 
@ nLin,115 Psay TransForm(Len(aFunc)+Len(aDemi),"@E 999999.99")
nLin++ 

If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
   	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
Endif   

nLin++
@ nLin,000 Psay __PrtThinLine()
nLin++ 

If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
   	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
Endif  

@ nLin, 000 Psay "Total de INSS: "+ TransForm(VerTINSS(aDadosProv,aDadosDesc),"@E 999,999,999.99")  
nLin++
@ nLin,000 Psay __PrtThinLine()
nLin++ 

If nLin < 55  // Salto de Pgina. Neste caso o formulario tem 55 linhas...
   	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
Endif 

@ nLin,000 Psay "            >>> VALORES DE INSS/FGTS/IRRF CONFORME RESUMO PROCESSADO EM: "+mv_par01+" <<<"

nLin+=2 
If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
   	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
Endif
         
//         10        20        30         40        50        60        70       80        90        100       110       120       132
//012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901
//------------------- GPS -----------------  ------------------- FGTS ------------------  ------------------ IRRF -------------------- 
//VALORES APURADOS                           FGTS s/ 13o (Funcionarios)   999,999,999.99  B.Calc. PIS s/Folha           999,999,999.99
//Segurados                  999,999,999.99  FGTS sobre 13o (Funcs)       999,999,999.99  PIS s/ Folha Pagto            999,999,999.99
//Empresa                    999,999,999.99  FGTS s/ 13o (M.Aprendiz)     999,999,999.99  IRRF s/ Folha Pagto           999,999,999.99
//Terceiros                  999,999,999.99  FGTS sobre 13o (M.Aprendiz)  999,999,999.99  IRRF s/Ferias                 999,999,999.99
//Acidente Trabalho          999,999,999.99  TOTAL FGTS APURADO RECIBOS   999,999,999.99  IRRF s/ Quitacao              999,999,999.99
//Deducoes de FPAS           999,999,999.99  BC FGTS s/ 13o (Func)        999,999,999.99  IRRF s/ Pro-Labore            999,999,999.99
//Sub-Total                  999,999,999.99  BC Sobre 13o (Func)          999,999,999.99  IRRF s/ Servicos              999,999,999.99
//Vlr Compensavel            999,999,999.99  BC FGTS s/ 13o (M.APRENDIZ)  999,999,999.99  ------------ OUTRAS INFORMACOES ------------
//Vlr Comp. Tomad            999,999,999.99  BC FGTS 13o (M.APRENDIZ)     999,999,999.99  Ctr Confederativa             999,999,999.99
//Total Liquido              999,999,999.99  TOTAL DAS BC DE FGTS         999,999,999.99  Ctr. Sindical                 999,999,999.99
//                                           Total FGTS recolhido-GRRF    999,999,999.99  Ctr. Assistencial             999,999,999.99
//                                                                                        C.Soc.Lei 110 art.2o          999,999,999.99

nFgts1 := 0

@ nLin,000 Psay "------------------- GPS -----------------"
@ nLin,043 Psay "------------------- FGTS ------------------"
@ nLin,088 Psay "------------------ IRRF --------------------"
nLin++
If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
   	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
Endif
@ nLin,000 Psay "VALORES APURADOS"
@ nLin,043 Psay "FGTS (Funcionarios)"   
@ nLin,072 Psay TransForm(0,"@E 999,999,999.99")
@ nLin,088 Psay "B.Calc. PIS s/Folha"   
@ nLin,118 Psay TransForm(0,"@E 999,999,999.99")  

nLin++
If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
   	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
Endif  

@ nLin,000 Psay "Segurados"    
@ nLin,027 Psay TransForm(SEGURA(),"@E 999,999,999.99")
@ nLin,043 Psay "FGTS sobre 13o (Funcs)"   
@ nLin,072 Psay TransForm(0,"@E 999,999,999.99")
@ nLin,088 Psay "PIS s/ Folha Pagto"   
@ nLin,118 Psay TransForm(0,"@E 999,999,999.99")    

nLin++
If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
   	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
Endif  

@ nLin,000 Psay "Empresa"    
@ nLin,027 Psay TransForm(Empresa("148"),"@E 999,999,999.99")
@ nLin,043 Psay "FGTS (M.Aprendiz)"   
@ nLin,072 Psay TransForm(0,"@E 999,999,999.99")
@ nLin,088 Psay "IRRF s/ Folha Pagto"   
@ nLin,118 Psay TransForm(IRRFid("066"),"@E 999,999,999.99")  

nLin++
If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
   	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
Endif  

@ nLin,000 Psay "Terceiros"    
@ nLin,027 Psay TransForm(Terceiro("149"),"@E 999,999,999.99")
@ nLin,043 Psay "FGTS sobre 13o (M.Aprendiz)"   
@ nLin,072 Psay TransForm(0,"@E 999,999,999.99")
@ nLin,088 Psay "IRRF s/Ferias"   
@ nLin,118 Psay TransForm(IRRFid("067"),"@E 999,999,999.99")   

nLin++
If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
   	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
Endif  

@ nLin,000 Psay "Acidente Trabalho"    
@ nLin,027 Psay TransForm(AcTrab("150"),"@E 999,999,999.99")
@ nLin,043 Psay "TOTAL FGTS APURADO RECIBOS"   
@ nLin,072 Psay TransForm((VerTFGTS(aDadosProv,aDadosDesc) * 8) / 100,"@E 999,999,999.99")
@ nLin,088 Psay "IRRF s/ Quitacao"   
@ nLin,118 Psay TransForm(0,"@E 999,999,999.99")    

nLin++
If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
   	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
Endif  

@ nLin,000 Psay "Deducoes FPAS"    
@ nLin,027 Psay TransForm(DedFpas(aDadosProv,aDadosDesc),"@E 999,999,999.99")
@ nLin,043 Psay "BC FGTS (Func)"   
@ nLin,072 Psay TransForm(VerTFGTS(aDadosProv,aDadosDesc),"@E 999,999,999.99")
@ nLin,088 Psay "IRRF s/ Pro-Labore"   
@ nLin,118 Psay TransForm(IRRFpro(),"@E 999,999,999.99")  

nLin++
If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
   	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
Endif     

//Calculo do SubTotal
nSubTot := 	SEGURA()+;
			(VerTINSS(aDadosProv,aDadosDesc)*RetSRX())/100 +;
			(VerTINSS(aDadosProv,aDadosDesc)*RetSRX("TER"))/100+;
			(VerTINSS(aDadosProv,aDadosDesc)*RetSRX("FAP"))/100-;
			DedFpas(aDadosProv,aDadosDesc)

@ nLin,000 Psay "Sub-Total"    
@ nLin,027 Psay TransForm(nSubTot,"@E 999,999,999.99")
@ nLin,043 Psay "BC Sobre 13o (Func)"   
@ nLin,072 Psay TransForm(0,"@E 999,999,999.99")
@ nLin,088 Psay "IRRF s/ Servicos"   
@ nLin,118 Psay TransForm(0,"@E 999,999,999.99")     

nLin++
If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
   	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
Endif  

@ nLin,000 Psay "Vlr Compensavel"    
@ nLin,027 Psay TransForm(0,"@E 999,999,999.99")
@ nLin,043 Psay "BC FGTS (M.APRENDIZ)"   
@ nLin,072 Psay TransForm(0,"@E 999,999,999.99")
@ nLin,088 Psay "------------ OUTRAS INFORMACOES ------------"   

nLin++
If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
   	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
Endif  

@ nLin,000 Psay "Vlr Comp. Tomad"    
@ nLin,027 Psay TransForm(0,"@E 999,999,999.99")
@ nLin,043 Psay "BC FGTS 13o (M.APRENDIZ)"   
@ nLin,072 Psay TransForm(0,"@E 999,999,999.99")
@ nLin,088 Psay "Ctr Confederativa"   
@ nLin,118 Psay TransForm(VlrAux("175"),"@E 999,999,999.99")   

nLin++
If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
   	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
Endif  

@ nLin,000 Psay "Total Liquido"    
@ nLin,027 Psay TransForm(nSubTot,"@E 999,999,999.99")
@ nLin,043 Psay "TOTAL DAS BC DE FGTS"   
@ nLin,072 Psay TransForm(VerTFGTS(aDadosProv,aDadosDesc),"@E 999,999,999.99")
@ nLin,088 Psay "Ctr. Sindical"   
@ nLin,118 Psay TransForm(VlrAux('068'),"@E 999,999,999.99") 

nLin++
If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
   	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
Endif  

@ nLin,043 Psay "Total FGTS recolhido-GRRF"   
@ nLin,072 Psay TransForm(0,"@E 999,999,999.99")
@ nLin,088 Psay "Ctr. Assistencial"   
@ nLin,118 Psay TransForm(VlrAux('069'),"@E 999,999,999.99")   

nLin++
If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
   	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
Endif  

@ nLin,088 Psay "C.Soc.Lei 110 art.2o"   
@ nLin,118 Psay TransForm(0,"@E 999,999,999.99")

nLin+=2
If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
   	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
Endif 

@ nLin, 000 Psay "------------------------------------------------------ INFORMACOES AUXILIARES ------------------------------------------------------" 
nLin+=1
If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
   	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
Endif      

//         10        20        30         40        50        60        70       80        90        100       110       120       132
//012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901
//Outras Ded. FPAS           999,999,999.99  FPAS                         999,999,999.99  Vl Restit /Comp - Tom         999,999,999.99
//Sal. Familia               999,999,999.99  Terceiros                           999.99%  Vl Para Reembolso             999,999,999.99
//Sal. Maternidade           999,999,999.99  RAT                                 999.99%  Empregados                    999,999,999.99
//1/12 13o S. Maternidade    999,999,999.99  FAP                               999.9999%  Empregadores                  999,999,999.99
//                                                                                        Autonomos                     999,999,999.99
//Aliq. Aut, INSS                   999.99%  Percentual P/ Calc RAT            999.9999%  Aliq, Aut. Terceiros                 999.99%  

@ nLin,000 Psay "Outras Ded. FPAS"    
@ nLin,027 Psay TransForm(0,"@E 999,999,999.99")
@ nLin,043 Psay "FPAS"   
@ nLin,072 Psay SM0->M0_FPAS
@ nLin,088 Psay "Vl Restit /Comp - Tom"   
@ nLin,118 Psay TransForm(0,"@E 999,999,999.99")   
nLin+=1
If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
   	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
Endif  

@ nLin,000 Psay "Sal. Familia"    
@ nLin,027 Psay TransForm(0,"@E 999,999,999.99")
@ nLin,043 Psay "Terceiros"   
@ nLin,079 Psay TransForm(RetSRX("TER"),"@E 999.99")+"%"
@ nLin,088 Psay "Vl Para Reembolso"   
@ nLin,118 Psay TransForm(0,"@E 999,999,999.99")   
nLin+=1
If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
   	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
Endif 

@ nLin,000 Psay "Sal. Maternidade"    
@ nLin,027 Psay TransForm(0,"@E 999,999,999.99")
@ nLin,043 Psay "RAT"   
@ nLin,079 Psay TransForm(RetSRX("RAT"),"@E 999.99")+"%"
@ nLin,088 Psay "Empregados"   
@ nLin,118 Psay TransForm(VlrAux('013')+VlrAux('014'),"@E 999,999,999.99")   
nLin+=1
If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
   	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
Endif 

@ nLin,000 Psay "1/12 13o S. Maternidade"    
@ nLin,027 Psay TransForm(0,"@E 999,999,999.99")
@ nLin,043 Psay "FAP"   
@ nLin,077 Psay TransForm(RetSRX("FAP"),"@E 999.9999")+"%"
@ nLin,088 Psay "Empregadores"   
@ nLin,118 Psay TransForm(VlrAux('221'),"@E 999,999,999.99")   
nLin+=1
If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
   	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
Endif 

@ nLin,088 Psay "Autonomos"   
@ nLin,118 Psay TransForm(VlrAux('221'),"@E 999,999,999.99")   
nLin+=1
If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
   	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
Endif  

@ nLin,000 Psay "Aliq. Aut. INSS"    
@ nLin,034 Psay TransForm(0,"@E 999.99")+"%"
@ nLin,043 Psay "Percentual P/ Calc RAT"   
@ nLin,077 Psay TransForm(0,"@E 999.9999")+"%"
@ nLin,088 Psay "Aliq. Aut. Terceiros"   
@ nLin,125 Psay TransForm(0,"@E 999.99")+"%"  
nLin+=1
If nLin > 55 // Salto de Pgina. Neste caso o formulario tem 55 linhas...
   	Cabec(Titulo,Cabec1,Cabec2,NomeProg,Tamanho,nTipo)
   	nLin := 8
Endif            

@ nLin, 000 Psay "--------------------------------------------------------------- FIM ----------------------------------------------------------------"                                                  
 


//-----------------------------------------------------------------------
// Finaliza a execucao do relatorio...                                 
//-----------------------------------------------------------------------

If Select("QUERY") > 0
	QUERY->(dbCloseArea())
EndIf

SET DEVICE TO SCREEN

//-----------------------------------------------------------------------
// Se impressao em disco, chama o gerenciador de impressao...          
//-----------------------------------------------------------------------

If aReturn[5]==1
   dbCommitAll()
   SET PRINTER TO
   OurSpool(wnrel)
Endif

MS_FLUSH()

Return     

/*/
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//|-------------------------------------------------------------------------|
//|   Programa: RetSRX | Autor: Anderson Goncalves | Data: 28/04/14         |
//|-------------------------------------------------------------------------|
//|   Descricao: Retorno do SRX                                             |
//|-------------------------------------------------------------------------|
//|   Uso: Neo                                                              |
//|-------------------------------------------------------------------------|
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
/*/

Static Function RetSRX(cTipo)

Local cQuery 	:= ""
Local aRet		:= {}
Local cRet		:= ""  

Default cTipo 	:= "BRANCO"

cQuery := "SELECT * FROM "+RetSqlName("SRX") +" (NOLOCK) "
cQuery += "WHERE RX_FILIAL = '" + xFilial("SRX") + "' "
cQuery += "AND RX_TIP = '14' "
cQuery += "AND RX_COD LIKE '__________________21%'"
cQuery += "AND D_E_L_E_T_ = ' ' " 

TcQuery cQuery New Alias "SRX_NEW"  
                    
dbSelectArea("SRX_NEW")
SRX_NEW->(dbGoTop())  
If SRX_NEW->(!EOF())
	aRet := StrToArray(SRX_NEW->RX_TXT," ") 
	If cTipo == "TER"
		cRet := Val(aRet[2])
	ElseIf cTipo == "RAT"
		cRet := Val(aRet[4])
	ElseIf cTipo == "FAP"
		cRet := Val(aRet[3])
	Else
		cRet := Val(aRet[1])
	EndIf
Else
	cRet := ""
EndIf

SRX_NEW->(dbCloseArea())

Return(cRet)


/*/
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//|-------------------------------------------------------------------------|
//|   Programa: ValidPerg | Autor: Anderson Goncalves | Data: 28/04/14      |
//|-------------------------------------------------------------------------|
//|   Descricao: Gerador das perguntas dentro do SX1                        |
//|-------------------------------------------------------------------------|
//|   Uso: Neo                                                              |
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
/*/

Static Function ValidPerg(cPerg,aRegs)

//-----------------------------------------------------------------------
// Variaveis da Rotina                                                 
//-----------------------------------------------------------------------
Local i 	:= 0
Local j 	:= 0
Local aArea := GetArea()

dbSelectArea("SX1")
SX1->(dbSetOrder(1))

For i:= 1 to Len(aRegs)
	If SX1->(!dbSeek(PadR(cPerg,Len(SX1->X1_GRUPO))+aRegs[i,2] ))
		RecLock("SX1", .T.)
		For j := 1 to Len(aRegs[1])
			FieldPut(j,aRegs[i,j])
		Next j
		MsUnlock()
	EndIf
Next i

RestArea(aArea)

Return Nil     

/*/
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//|-------------------------------------------------------------------------|
//|   Programa: VerTFGTS | Autor: Anderson Goncalves | Data: 28/04/14       |
//|-------------------------------------------------------------------------|
//|   Descricao: Retorna a base de calculo de FGTS                          |
//|-------------------------------------------------------------------------|
//|   Uso: Neo                                                              |
//|-------------------------------------------------------------------------|
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
/*/

Static Function VerTFGTS(aFunc,aDemi)

//-----------------------------------------------------------------------
// Variaveis da Rotina                                                 
//-----------------------------------------------------------------------

Local nX	:= 0  
Local nRet	:= 0

//-----------------------------------------------------------------------
// Posiciona na tabela de verba                                        
//-----------------------------------------------------------------------

dbSelectArea("SRV")
SRV->(dbSetOrder(1))            

For nX := 1 To Len(aFunc)

	If SRV->(dbSeek(xFilial("SRV")+aFunc[nX,1] )) 
		If SRV->RV_FGTS == "S" .or. SRV->RV_CODFOL == '119'
			nRet += aFunc[nX,2]+aFunc[nX,3]
		EndIf
	EndIf
	
Next nX   

For nX := 1 To Len(aDemi)

	If SRV->(dbSeek(xFilial("SRV")+aDemi[nX,1] )) 
		If SRV->RV_FGTS == "S" .or. SRV->RV_CODFOL == '119'
			nRet := nRet - (aDemi[nX,2]+aDemi[nX,3])
		EndIf
	EndIf
	
Next nX 

Return((nRet*8)/100)       

/*/
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//|-------------------------------------------------------------------------|
//|   Programa: VerTINSS | Autor: Anderson Goncalves | Data: 28/04/14       |
//|-------------------------------------------------------------------------|
//|   Descricao: Retorna a base de calculo de INSS                          |
//|-------------------------------------------------------------------------|
//|   Uso: Neo                                                              |
//|-------------------------------------------------------------------------|
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
/*/

Static Function VerTINSS(aFunc,aDemi)

//-----------------------------------------------------------------------
// Variaveis da Rotina                                                 
//-----------------------------------------------------------------------  

Local nRet		:= 0
Local cQuery 	:= ""  

//-----------------------------------------------------------------------
// Verifica a tabela de movimentos                                     
//----------------------------------------------------------------------- 

If !lSRC
	cQuery := "SELECT ISNULL(SUM(RD_VALOR),0) VALOR FROM "+RetSqlName("SRD") + " SRD (NOLOCK), "+RetSqlName("SRV") + " SRV (NOLOCK) "		
	cQuery += "WHERE RD_FILIAL = '" + xFilial("SRD") + "' "
	cQuery += "AND RD_MAT BETWEEN '" + mv_par02 + "' AND '" + mv_par03 + "' " 
	cQuery += "AND SUBSTRING(RD_DATARQ,1,6) = '" + SubStr(mv_par01,4,4)+SubStr(mv_par01,1,2) + "' " 
	cQuery += "AND SRD.D_E_L_E_T_ = ' ' "  
	cQuery += "AND RV_FILIAL = '" + xFilial("SRV") + "' "
    cQuery += "AND RV_INSS IN ('S') "
	cQuery += "AND RV_COD = RD_PD "
	cQuery += "AND SRV.D_E_L_E_T_ = ' ' "

	If Select("QUERY") > 0
		QUERY->(dbCloseArea())                      
	EndIf

	TcQuery cQuery New Alias "QUERY"  

	aEval(SRD->(dbStruct()),{|x| If(x[2]!="C", TcSetField("QUERY",AllTrim(x[1]),x[2],x[3],x[4]),Nil)})  
	
	nRet := QUERY->VALOR

Else
	
	cQuery := "SELECT ISNULL(SUM(RC_VALOR),0) VALOR FROM "+RetSqlName("SRC") + " (NOLOCK) "+RetSqlName("SRV") + " SRV (NOLOCK) "
	cQuery += "WHERE RC_FILIAL = '" + xFilial("SRC") + "' "
	cQuery += "AND RC_MAT BETWEEN '" + mv_par02 + "' AND '" + mv_par03 + "' " 
	cQuery += "AND SRC.D_E_L_E_T_ = ' ' "  
	cQuery += "AND RV_FILIAL = '" + xFilial("SRV") + "' "
    cQuery += "AND RV_INSS IN ('S') "
	cQuery += "AND RV_COD = RD_PD "   
	cQuery += "AND SRV.D_E_L_E_T_ = ' ' "
	
	If Select("QUERY") > 0
		QUERY->(dbCloseArea())
	EndIf

	TcQuery cQuery New Alias "QUERY"    
	
	aEval(SRC->(dbStruct()),{|x| If(x[2]!="C", TcSetField("QUERY",AllTrim(x[1]),x[2],x[3],x[4]),Nil)})    
	
	nRet := QUERY->VALOR
	
EndIf 

QUERY->(dbCloseArea())  

Return(nRet)      

/*/
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//|-------------------------------------------------------------------------|
//|   Programa: DedFpas | Autor: Anderson Goncalves | Data: 28/04/14        |
//|-------------------------------------------------------------------------|
//|   Descricao: Dedues do FPAS                                           |
//|-------------------------------------------------------------------------|
//|   Uso: Neo                                                              |
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
/*/

Static Function DedFpas(aFunc,aDemi)

//-----------------------------------------------------------------------
// Variaveis da Rotina                                                 
//-----------------------------------------------------------------------

Local nX	:= 0  
Local nRet	:= 0

//-----------------------------------------------------------------------
// Posiciona na tabela de verba                                        
//-----------------------------------------------------------------------

dbSelectArea("SRV")
SRV->(dbSetOrder(1))            

For nX := 1 To Len(aFunc)

	If SRV->(dbSeek(xFilial("SRV")+aFunc[nX,1] )) 
		If RV_DEDINSS == "S" //.or. SRV->RV_CODFOL == '119'
			nRet += aFunc[nX,2]+aFunc[nX,3]
		EndIf
	EndIf
	
Next nX   

For nX := 1 To Len(aDemi)

	If SRV->(dbSeek(xFilial("SRV")+aDemi[nX,1] )) 
		If RV_DEDINSS == "S" //.or. SRV->RV_CODFOL == '119'
			nRet := nRet - (aDemi[nX,2]+aDemi[nX,3])
		EndIf
	EndIf
	
Next nX 

Return(nRet)     

/*/
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//|-------------------------------------------------------------------------|
//|   Programa: IRRFid | Autor: Anderson Goncalves | Data: 28/04/14         |
//|-------------------------------------------------------------------------|
//|   Descricao: Total de Imposto de renda Sobre Ferias e pagamentos        |
//|-------------------------------------------------------------------------|
//|   Uso: Neo                                                              |
//|-------------------------------------------------------------------------|
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
/*/

Static Function IRRFid(cId)   

//-----------------------------------------------------------------------
// Variaveis da Rotina                                                 
//-----------------------------------------------------------------------

Local nRet		:= 0
Local cQuery 	:= ""  

//-----------------------------------------------------------------------
// Verifica a tabela de movimentos                                     
//-----------------------------------------------------------------------
 
If !lSRC
	cQuery := "SELECT ISNULL(SUM(RD_VALOR),0) VALOR FROM "+RetSqlName("SRD") + " SRD (NOLOCK), "+RetSqlName("SRA") + " SRA (NOLOCK), "+RetSqlName("SRV") + " SRV (NOLOCK) "		
	cQuery += "WHERE RD_FILIAL = '" + xFilial("SRD") + "' "
	cQuery += "AND RD_MAT BETWEEN '" + mv_par02 + "' AND '" + mv_par03 + "' " 
	cQuery += "AND SUBSTRING(RD_DATARQ,1,6) = '" + SubStr(mv_par01,4,4)+SubStr(mv_par01,1,2) + "' " 
	cQuery += "AND SRD.D_E_L_E_T_ = ' ' "  
	cQuery += "AND RA_FILIAL = '" + xFilial("SRA") + "' "
	cQuery += "AND RA_MAT = RD_MAT "
	cQuery += "AND RA_CATEG <> '11' "
	cQuery += "AND SRA.D_E_L_E_T_ = ' ' "
	cQuery += "AND RV_FILIAL = '" + xFilial("SRV") + "' "
	cQuery += "AND RV_COD = RD_PD "
	cQuery += "AND (RV_CODFOL = '" + cId + "' OR RV_CODFOL = '0"+cId+"') "
	cQuery += "AND SRV.D_E_L_E_T_ = ' ' "

	If Select("QUERY") > 0
		QUERY->(dbCloseArea())
	EndIf

	TcQuery cQuery New Alias "QUERY"  

	aEval(SRD->(dbStruct()),{|x| If(x[2]!="C", TcSetField("QUERY",AllTrim(x[1]),x[2],x[3],x[4]),Nil)})  
	
	nRet := QUERY->VALOR

Else
	
	cQuery := "SELECT ISNULL(SUM(RC_VALOR),0) VALOR FROM "+RetSqlName("SRC") + " (NOLOCK) "+RetSqlName("SRA") + " SRA (NOLOCK), "+RetSqlName("SRV") + " SRV (NOLOCK) "
	cQuery += "WHERE RC_FILIAL = '" + xFilial("SRC") + "' "
	cQuery += "AND RC_MAT BETWEEN '" + mv_par02 + "' AND '" + mv_par03 + "' " 
	cQuery += "AND SRC.D_E_L_E_T_ = ' ' "  
	cQuery += "AND RA_FILIAL = '" + xFilial("SRA") + "' "
	cQuery += "AND RA_MAT = RD_MAT "
	cQuery += "AND RA_CATEG <> '11' "
	cQuery += "AND SRA.D_E_L_E_T_ = ' ' "
	cQuery += "AND RV_FILIAL = '" + xFilial("SRV") + "' "
	cQuery += "AND RV_COD = RD_PD "
	cQuery += "AND RV_CODFOL = '" + cId + "' OR RV_CODFOL = '0"+cId+"') "
	cQuery += "AND SRV.D_E_L_E_T_ = ' ' "
	
	If Select("QUERY") > 0
		QUERY->(dbCloseArea())
	EndIf

	TcQuery cQuery New Alias "QUERY"    
	
	aEval(SRC->(dbStruct()),{|x| If(x[2]!="C", TcSetField("QUERY",AllTrim(x[1]),x[2],x[3],x[4]),Nil)})    
	
	nRet := QUERY->VALOR
	
EndIf 

QUERY->(dbCloseArea())

Return(nRet)      

/*/
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//|-------------------------------------------------------------------------|
//|   Programa: IRRFpro | Autor: Anderson Goncalves | Data: 28/04/14        |
//|-------------------------------------------------------------------------|
//|   Descricao: Total de Imposto de renda Sobre pro-labore                 |
//|-------------------------------------------------------------------------|
//|   Uso: Neo                                                              |
//|-------------------------------------------------------------------------|
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
/*/

Static Function IRRFpro()   

//-----------------------------------------------------------------------
// Variaveis da Rotina                                                 
//-----------------------------------------------------------------------

Local nRet		:= 0
Local cQuery 	:= ""  

//-----------------------------------------------------------------------
// Verifica a tabela de movimentos                                     
//-----------------------------------------------------------------------

If !lSRC
	cQuery := "SELECT ISNULL(SUM(RD_VALOR),0) VALOR FROM "+RetSqlName("SRD") + " SRD (NOLOCK), "+RetSqlName("SRA") + " SRA (NOLOCK), "+RetSqlName("SRV") + " SRV (NOLOCK) "		
	cQuery += "WHERE RD_FILIAL = '" + xFilial("SRD") + "' "
	cQuery += "AND RD_MAT BETWEEN '" + mv_par02 + "' AND '" + mv_par03 + "' " 
	cQuery += "AND SUBSTRING(RD_DATARQ,1,6) = '" + SubStr(mv_par01,4,4)+SubStr(mv_par01,1,2) + "' " 
	cQuery += "AND SRD.D_E_L_E_T_ = ' ' "  
	cQuery += "AND RA_FILIAL = '" + xFilial("SRA") + "' "
	cQuery += "AND RA_MAT = RD_MAT "
	cQuery += "AND RA_CATEG = '11' "
	cQuery += "AND SRA.D_E_L_E_T_ = ' ' "
	cQuery += "AND RV_FILIAL = '" + xFilial("SRV") + "' "
	cQuery += "AND RV_COD = RD_PD "
	cQuery += "AND RV_CODFOL IN ('066','067','0066','0067') "
	cQuery += "AND SRV.D_E_L_E_T_ = ' ' "

	If Select("QUERY") > 0
		QUERY->(dbCloseArea())
	EndIf

	TcQuery cQuery New Alias "QUERY"  

	aEval(SRD->(dbStruct()),{|x| If(x[2]!="C", TcSetField("QUERY",AllTrim(x[1]),x[2],x[3],x[4]),Nil)})  
	
	nRet := QUERY->VALOR

Else
	
	cQuery := "SELECT ISNULL(SUM(RC_VALOR),0) VALOR FROM "+RetSqlName("SRC") + " (NOLOCK) "+RetSqlName("SRA") + " SRA (NOLOCK), "+RetSqlName("SRV") + " SRV (NOLOCK) "
	cQuery += "WHERE RC_FILIAL = '" + xFilial("SRC") + "' "
	cQuery += "AND RC_MAT BETWEEN '" + mv_par02 + "' AND '" + mv_par03 + "' " 
	cQuery += "AND SRC.D_E_L_E_T_ = ' ' "  
	cQuery += "AND RA_FILIAL = '" + xFilial("SRA") + "' "
	cQuery += "AND RA_MAT = RD_MAT "
	cQuery += "AND RA_CATEG = '11' "
	cQuery += "AND SRA.D_E_L_E_T_ = ' ' "
	cQuery += "AND RV_FILIAL = '" + xFilial("SRV") + "' "
	cQuery += "AND RV_COD = RD_PD "
	cQuery += "AND RV_CODFOL IN ('066','067','0066','0067') "
	cQuery += "AND SRV.D_E_L_E_T_ = ' ' "
	
	If Select("QUERY") > 0
		QUERY->(dbCloseArea())
	EndIf

	TcQuery cQuery New Alias "QUERY"    
	
	aEval(SRC->(dbStruct()),{|x| If(x[2]!="C", TcSetField("QUERY",AllTrim(x[1]),x[2],x[3],x[4]),Nil)})    
	
	nRet := QUERY->VALOR
	
EndIf 

QUERY->(dbCloseArea())

Return(nRet)        

/*/
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//|-------------------------------------------------------------------------|
//|   Programa: SEGURA | Autor: Anderson Goncalves | Data:  28/04/14        |
//|-------------------------------------------------------------------------|
//|   Descricao: Total de Segurados                                         |
//|-------------------------------------------------------------------------|
//|   Uso: Neo                                                              |
//|-------------------------------------------------------------------------|
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
/*/

Static Function SEGURA()   

//-----------------------------------------------------------------------
// Variaveis da Rotina                                                 
//-----------------------------------------------------------------------

Local nRet		:= 0
Local cQuery 	:= ""  

//-----------------------------------------------------------------------
// Verifica a tabela de movimentos                                     
//-----------------------------------------------------------------------

If !lSRC
	cQuery := "SELECT ISNULL(SUM(RD_VALOR),0) VALOR FROM "+RetSqlName("SRD") + " SRD (NOLOCK), "+RetSqlName("SRV") + " SRV (NOLOCK) "		
	cQuery += "WHERE RD_FILIAL = '" + xFilial("SRD") + "' "
	cQuery += "AND RD_MAT BETWEEN '" + mv_par02 + "' AND '" + mv_par03 + "' " 
	cQuery += "AND SUBSTRING(RD_DATARQ,1,6) = '" + SubStr(mv_par01,4,4)+SubStr(mv_par01,1,2) + "' " 
	cQuery += "AND SRD.D_E_L_E_T_ = ' ' "  
	cQuery += "AND RV_FILIAL = '" + xFilial("SRV") + "' "
	cQuery += "AND RV_COD = RD_PD "
	cQuery += "AND RV_CODFOL IN ('065','0065','070','0070','064','0064') "
	cQuery += "AND SRV.D_E_L_E_T_ = ' ' "

	If Select("QUERY") > 0
		QUERY->(dbCloseArea())
	EndIf

	TcQuery cQuery New Alias "QUERY"  

	aEval(SRD->(dbStruct()),{|x| If(x[2]!="C", TcSetField("QUERY",AllTrim(x[1]),x[2],x[3],x[4]),Nil)})  
	
	nRet := QUERY->VALOR

Else
	
	cQuery := "SELECT ISNULL(SUM(RC_VALOR),0) VALOR FROM "+RetSqlName("SRC") + " (NOLOCK) "+RetSqlName("SRV") + " SRV (NOLOCK) "
	cQuery += "WHERE RC_FILIAL = '" + xFilial("SRC") + "' "
	cQuery += "AND RC_MAT BETWEEN '" + mv_par02 + "' AND '" + mv_par03 + "' " 
	cQuery += "AND SRC.D_E_L_E_T_ = ' ' "  
	cQuery += "AND RV_FILIAL = '" + xFilial("SRV") + "' "
	cQuery += "AND RV_COD = RD_PD "   
	cQuery += "AND RV_CODFOL IN ('065','0065','070','0070','064','0064') "
	cQuery += "AND SRV.D_E_L_E_T_ = ' ' "
	
	If Select("QUERY") > 0
		QUERY->(dbCloseArea())
	EndIf

	TcQuery cQuery New Alias "QUERY"    
	
	aEval(SRC->(dbStruct()),{|x| If(x[2]!="C", TcSetField("QUERY",AllTrim(x[1]),x[2],x[3],x[4]),Nil)})    
	
	nRet := QUERY->VALOR
	
EndIf 

QUERY->(dbCloseArea())  

Return(nRet)    

/*/
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//|-------------------------------------------------------------------------|
//|   Programa: VlrAux | Autor: Anderson Goncalves | Data: 28/04/14         |
//|-------------------------------------------------------------------------|
//|   Descricao: Informacoes auxiliares                                     |
//|-------------------------------------------------------------------------|
//|   Uso: Neo                                                              |
//|-------------------------------------------------------------------------|
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
/*/

Static Function VlrAux(cCodFol)   

//-----------------------------------------------------------------------
// Variaveis da Rotina                                                 
//-----------------------------------------------------------------------

Local nRet		:= 0
Local cQuery 	:= ""  

//-----------------------------------------------------------------------
// Verifica a tabela de movimentos                                     
//-----------------------------------------------------------------------

If !lSRC
	cQuery := "SELECT ISNULL(SUM(RD_VALOR),0) VALOR FROM "+RetSqlName("SRD") + " SRD (NOLOCK), "+RetSqlName("SRV") + " SRV (NOLOCK) "		
	cQuery += "WHERE RD_FILIAL = '" + xFilial("SRD") + "' "
	cQuery += "AND RD_MAT BETWEEN '" + mv_par02 + "' AND '" + mv_par03 + "' " 
	cQuery += "AND SUBSTRING(RD_DATARQ,1,6) = '" + SubStr(mv_par01,4,4)+SubStr(mv_par01,1,2) + "' " 
	cQuery += "AND SRD.D_E_L_E_T_ = ' ' "  
	cQuery += "AND RV_FILIAL = '" + xFilial("SRV") + "' "
	cQuery += "AND RV_COD = RD_PD " 
	If cCodFol == "175"
		cQuery += "AND RV_CODFOL IN ('0175','175') " 
	ElseIf cCodFol == "068"  
		cQuery += "AND RV_CODFOL IN ('068','0068') " 
	ElseIf cCodFol == "069"
		cQuery += "AND RV_CODFOL IN ('069','0069') " 
	ElseIf cCodFol == "013"
		cQuery += "AND RV_CODFOL IN ('0013') "
	ElseIf cCodFol == "014"
		cQuery += "AND RV_CODFOL IN ('0014') "    
	ElseIf cCodFol == "221"
		cQuery += "AND RV_CODFOL IN ('0221') "
	EndIf	
	cQuery += "AND SRV.D_E_L_E_T_ = ' ' "

	If Select("QUERY") > 0
		QUERY->(dbCloseArea())
	EndIf

	TcQuery cQuery New Alias "QUERY"  

	aEval(SRD->(dbStruct()),{|x| If(x[2]!="C", TcSetField("QUERY",AllTrim(x[1]),x[2],x[3],x[4]),Nil)})  
	
	nRet := QUERY->VALOR

Else
	
	cQuery := "SELECT ISNULL(SUM(RC_VALOR),0) VALOR FROM "+RetSqlName("SRC") + " (NOLOCK) "+RetSqlName("SRV") + " SRV (NOLOCK) "
	cQuery += "WHERE RC_FILIAL = '" + xFilial("SRC") + "' "
	cQuery += "AND RC_MAT BETWEEN '" + mv_par02 + "' AND '" + mv_par03 + "' " 
	cQuery += "AND SRC.D_E_L_E_T_ = ' ' "  
	cQuery += "AND RV_FILIAL = '" + xFilial("SRV") + "' "
	cQuery += "AND RV_COD = RD_PD "   
	If cCodFol == "175"
		cQuery += "AND RV_CODFOL IN ('0175','175') " 
	ElseIf cCodFol == "068"  
		cQuery += "AND RV_CODFOL IN ('068','0068') " 
	ElseIf cCodFol == "069"
		cQuery += "AND RV_CODFOL IN ('069','0069') "   
	ElseIf cCodFol == "013"
		cQuery += "AND RV_CODFOL IN ('0013') "
	ElseIf cCodFol == "014"
		cQuery += "AND RV_CODFOL IN ('0014') "    
	ElseIf cCodFol == "221"
		cQuery += "AND RV_CODFOL IN ('0221') "
	EndIf
	cQuery += "AND SRV.D_E_L_E_T_ = ' ' "
	
	If Select("QUERY") > 0
		QUERY->(dbCloseArea())
	EndIf

	TcQuery cQuery New Alias "QUERY"    
	
	aEval(SRC->(dbStruct()),{|x| If(x[2]!="C", TcSetField("QUERY",AllTrim(x[1]),x[2],x[3],x[4]),Nil)})    
	
	nRet := QUERY->VALOR
	
EndIf 

QUERY->(dbCloseArea())  

Return(nRet)   

/*/
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//|----------------------------------------------------------------------------|
//|   Programa: Empresa | Autor: Priscila Castro | Data: 09/09/2016            |
//|----------------------------------------------------------------------------|
//|   Descricao: Busca do valor de INSS Empresa                                |
//|----------------------------------------------------------------------------|
//| Uso: NeoIntelligence                                                       |
//|----------------------------------------------------------------------------|  
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
/*/

Static Function Empresa(cCodFol)   

// ----------------------------------------------------------------------
// Variaveis da Rotina                                                 
// ----------------------------------------------------------------------     

Local nRet		:= 0
Local cQuery 	:= ""  

// ----------------------------------------------------------------------
// Verifica a tabela de movimentos                                     
// ----------------------------------------------------------------------

If !lSRC
	cQuery := "SELECT ISNULL(SUM(RD_VALOR),0) VALOR FROM "+RetSqlName("SRD") + " SRD (NOLOCK), "+RetSqlName("SRV") + " SRV (NOLOCK) "		
	cQuery += "WHERE RD_FILIAL = '" + xFilial("SRD") + "' "
	cQuery += "AND RD_MAT BETWEEN '" + mv_par02 + "' AND '" + mv_par03 + "' " 
	cQuery += "AND SUBSTRING(RD_DATARQ,1,6) = '" + SubStr(mv_par01,4,4)+SubStr(mv_par01,1,2) + "' " 
	cQuery += "AND SRD.D_E_L_E_T_ = ' ' "  
	cQuery += "AND RV_FILIAL = '" + xFilial("SRV") + "' "
	cQuery += "AND RV_COD = RD_PD " 
	If cCodFol == "148"
		cQuery += "AND RV_CODFOL IN ('0148') " 
	EndIf	
	cQuery += "AND SRV.D_E_L_E_T_ = ' ' "

	If Select("QUERY") > 0
		QUERY->(dbCloseArea())
	EndIf

	TcQuery cQuery New Alias "QUERY"  

	aEval(SRD->(dbStruct()),{|x| If(x[2]!="C", TcSetField("QUERY",AllTrim(x[1]),x[2],x[3],x[4]),Nil)})  
	
	nRet := QUERY->VALOR

Else
	
	cQuery := "SELECT ISNULL(SUM(RC_VALOR),0) VALOR FROM "+RetSqlName("SRC") + " (NOLOCK) "+RetSqlName("SRV") + " SRV (NOLOCK) "
	cQuery += "WHERE RC_FILIAL = '" + xFilial("SRC") + "' "
	cQuery += "AND RC_MAT BETWEEN '" + mv_par02 + "' AND '" + mv_par03 + "' " 
	cQuery += "AND SRC.D_E_L_E_T_ = ' ' "  
	cQuery += "AND RV_FILIAL = '" + xFilial("SRV") + "' "
	cQuery += "AND RV_COD = RD_PD "   
	If cCodFol == "148"
		cQuery += "AND RV_CODFOL IN ('0148') " 
	EndIf	
	cQuery += "AND SRV.D_E_L_E_T_ = ' ' "
	
	If Select("QUERY") > 0
		QUERY->(dbCloseArea())
	EndIf

	TcQuery cQuery New Alias "QUERY"    
	
	aEval(SRC->(dbStruct()),{|x| If(x[2]!="C", TcSetField("QUERY",AllTrim(x[1]),x[2],x[3],x[4]),Nil)})    
	
	nRet := QUERY->VALOR
	
EndIf 

QUERY->(dbCloseArea())  

Return(nRet)       

/*/
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//|----------------------------------------------------------------------------|
//|   Programa: Terceiro | Autor: Priscila Castro | Data: 09/09/2016           |
//|----------------------------------------------------------------------------|
//|   Descricao: Busca do valor de INSS de terceiro                            |
//|----------------------------------------------------------------------------|
//| Uso: NeoIntelligence                                                       |
//|----------------------------------------------------------------------------|
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
/*/

Static Function Terceiro(cCodFol)   

// ----------------------------------------------------------------------
// Variaveis da Rotina                                                 
// ----------------------------------------------------------------------     

Local nRet		:= 0
Local cQuery 	:= ""  

// ----------------------------------------------------------------------
// Verifica a tabela de movimentos                                     
// ----------------------------------------------------------------------

If !lSRC
	cQuery := "SELECT ISNULL(SUM(RD_VALOR),0) VALOR FROM "+RetSqlName("SRD") + " SRD (NOLOCK), "+RetSqlName("SRV") + " SRV (NOLOCK) "		
	cQuery += "WHERE RD_FILIAL = '" + xFilial("SRD") + "' "
	cQuery += "AND RD_MAT BETWEEN '" + mv_par02 + "' AND '" + mv_par03 + "' " 
	cQuery += "AND SUBSTRING(RD_DATARQ,1,6) = '" + SubStr(mv_par01,4,4)+SubStr(mv_par01,1,2) + "' " 
	cQuery += "AND SRD.D_E_L_E_T_ = ' ' "  
	cQuery += "AND RV_FILIAL = '" + xFilial("SRV") + "' "
	cQuery += "AND RV_COD = RD_PD " 
	If cCodFol == "149"
		cQuery += "AND RV_CODFOL IN ('0149') " 
	EndIf	
	cQuery += "AND SRV.D_E_L_E_T_ = ' ' "

	If Select("QUERY") > 0
		QUERY->(dbCloseArea())
	EndIf

	TcQuery cQuery New Alias "QUERY"  

	aEval(SRD->(dbStruct()),{|x| If(x[2]!="C", TcSetField("QUERY",AllTrim(x[1]),x[2],x[3],x[4]),Nil)})  
	
	nRet := QUERY->VALOR

Else
	
	cQuery := "SELECT ISNULL(SUM(RC_VALOR),0) VALOR FROM "+RetSqlName("SRC") + " (NOLOCK) "+RetSqlName("SRV") + " SRV (NOLOCK) "
	cQuery += "WHERE RC_FILIAL = '" + xFilial("SRC") + "' "
	cQuery += "AND RC_MAT BETWEEN '" + mv_par02 + "' AND '" + mv_par03 + "' " 
	cQuery += "AND SRC.D_E_L_E_T_ = ' ' "  
	cQuery += "AND RV_FILIAL = '" + xFilial("SRV") + "' "
	cQuery += "AND RV_COD = RD_PD "   
	If cCodFol == "149"
		cQuery += "AND RV_CODFOL IN ('0149') " 
	EndIf	
	cQuery += "AND SRV.D_E_L_E_T_ = ' ' "
	
	If Select("QUERY") > 0
		QUERY->(dbCloseArea())
	EndIf

	TcQuery cQuery New Alias "QUERY"    
	
	aEval(SRC->(dbStruct()),{|x| If(x[2]!="C", TcSetField("QUERY",AllTrim(x[1]),x[2],x[3],x[4]),Nil)})    
	
	nRet := QUERY->VALOR
	
EndIf 

QUERY->(dbCloseArea())  

Return(nRet)  
                                                                                
/*/
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//|----------------------------------------------------------------------------|
//|   Programa: AcTrab | Autor: Priscila Castro | Data: 09/09/2016             |
//|----------------------------------------------------------------------------|
//|   Descricao: Busca do valor de Acidente de Trabalho                        |
//|----------------------------------------------------------------------------|
//| Uso: NeoIntelligence                                                       |
//|----------------------------------------------------------------------------|
//TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT
//UUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUU
/*/

Static Function AcTrab(cCodFol)   

// ----------------------------------------------------------------------
// Variaveis da Rotina                                                 
// ----------------------------------------------------------------------     

Local nRet		:= 0
Local cQuery 	:= ""  

// ----------------------------------------------------------------------
// Verifica a tabela de movimentos                                     
// ----------------------------------------------------------------------

If !lSRC
	cQuery := "SELECT ISNULL(SUM(RD_VALOR),0) VALOR FROM "+RetSqlName("SRD") + " SRD (NOLOCK), "+RetSqlName("SRV") + " SRV (NOLOCK) "		
	cQuery += "WHERE RD_FILIAL = '" + xFilial("SRD") + "' "
	cQuery += "AND RD_MAT BETWEEN '" + mv_par02 + "' AND '" + mv_par03 + "' " 
	cQuery += "AND SUBSTRING(RD_DATARQ,1,6) = '" + SubStr(mv_par01,4,4)+SubStr(mv_par01,1,2) + "' " 
	cQuery += "AND SRD.D_E_L_E_T_ = ' ' "  
	cQuery += "AND RV_FILIAL = '" + xFilial("SRV") + "' "
	cQuery += "AND RV_COD = RD_PD " 
	If cCodFol == "150"
		cQuery += "AND RV_CODFOL IN ('0150') " 
	EndIf	
	cQuery += "AND SRV.D_E_L_E_T_ = ' ' "

	If Select("QUERY") > 0
		QUERY->(dbCloseArea())
	EndIf

	TcQuery cQuery New Alias "QUERY"  

	aEval(SRD->(dbStruct()),{|x| If(x[2]!="C", TcSetField("QUERY",AllTrim(x[1]),x[2],x[3],x[4]),Nil)})  
	
	nRet := QUERY->VALOR

Else
	
	cQuery := "SELECT ISNULL(SUM(RC_VALOR),0) VALOR FROM "+RetSqlName("SRC") + " (NOLOCK) "+RetSqlName("SRV") + " SRV (NOLOCK) "
	cQuery += "WHERE RC_FILIAL = '" + xFilial("SRC") + "' "
	cQuery += "AND RC_MAT BETWEEN '" + mv_par02 + "' AND '" + mv_par03 + "' " 
	cQuery += "AND SRC.D_E_L_E_T_ = ' ' "  
	cQuery += "AND RV_FILIAL = '" + xFilial("SRV") + "' "
	cQuery += "AND RV_COD = RD_PD "   
	If cCodFol == "150"
		cQuery += "AND RV_CODFOL IN ('0150') " 
	EndIf	
	cQuery += "AND SRV.D_E_L_E_T_ = ' ' "
	
	If Select("QUERY") > 0
		QUERY->(dbCloseArea())
	EndIf

	TcQuery cQuery New Alias "QUERY"    
	
	aEval(SRC->(dbStruct()),{|x| If(x[2]!="C", TcSetField("QUERY",AllTrim(x[1]),x[2],x[3],x[4]),Nil)})    
	
	nRet := QUERY->VALOR
	
EndIf 

QUERY->(dbCloseArea())  

Return(nRet)